<template>
  <q-dialog v-model="registerPaymentModal" persistent>
    <q-card>
      <q-card-section>
        <div class="text-center q-mb-lg relative-position">
          <q-avatar square size="60px">
            <img src="~/assets/logo.png" />
          </q-avatar>
          <q-btn class="absolute-top-right" icon="close" flat round dense v-close-popup />
        </div>
        <div class="payment-text">
          Chúc mừng quý khách đã đăng kí thành công và trở thành Thành Viên của VDC. Mã số TV của quý khách là:
          <strong>{{userId}}</strong>
        </div>
      </q-card-section>
      <q-card-actions align="right" class="bg-white text-teal">
        <q-btn color="secondary" flat label="Đăng nhập" @click="onClickLogin" />
      </q-card-actions>
    </q-card>
  </q-dialog>
</template>

<script>
import router from '~/router';

export default {
  props: {
    value: { type: Boolean, default: false },
    userId: { type: String, default: '' }
  },
  computed: {
    registerPaymentModal: {
      get() {
        return this.value;
      },
      set(value) {
        this.$emit('input', value);
      }
    }
  },
  methods: {
    onClickLogin() {
      router.push('/login');
    }
  }
};
</script>

<style lang="scss" scoped>
.payment-text {
  font-size: 1.3rem;
  margin-top: 10px;
}
</style>
